const fetch = require('node-fetch');
// A promise for the response
let myRes = fetch("http://www.grotto-networking.com");
// A promise for the body
let myBody = myRes.then(function (res) { // Work with response
    console.log(`${res.statusText} response for ${res.url}`);
    // returns a promise for the body
    return res.text(); // or json(), or blob(), etc...
});

myBody.then(function(body){
    console.log(`The length of the body ${body.length}`);
    console.log("Body contents:");
    console.log(body.slice(0,100)); // look at the begining
})
