/*  Demonstration of cookie parsing with node-fetch.
 */
const fetch = require('node-fetch');
const cookie = require('cookie');

//let url = "http://localhost:3000";
//let url = "https://facebook.com";
let url = "https://google.com";
let myPromise = fetch(url)
    .then(function (res) { // Work with response
        console.log(`\nResponse from ${res.url}`);
        console.log(`Status: ${res.status}`);
        console.log(`Status code: ${res.statusText}`);
        res.headers.raw()['set-cookie'].forEach(function(ck){
            console.log(cookie.parse(ck));
        });
    });
