/*
Simple demonstration of cookie use via a bad weather, tide, and wind site.
*/
const express = require("express");
let app = express();
const cookieParser = require("cookie-parser"); // For cookies
app.use(cookieParser());

let visitInfo = {
    count: 0,
    previousDate: null,
    currentDate: null
};

app.get("/", function (req, res) {
    console.log("Cookies: ", req.cookies);
    let visit = visitInfo; // Default
    if (req.cookies.visitInfo) {
        visit = JSON.parse(req.cookies.visitInfo);
    }
    visit.previousDate = visit.currentDate;
    let currentDate = new Date();
    visit.currentDate = currentDate.toUTCString();
    visit.count++;

    res.cookie("visitInfo", JSON.stringify(visit));
    res.send("Hi, look at the cookie!");
});


app.listen(3000, function () {
    console.log("cookie server listening on port 3000!");
});
