const fetch = require('node-fetch');

fetch("http://www.grotto-networking.com")
    .then(function (res) { // Work with response
        console.log(`${res.statusText} response for ${res.url}`);
        // Don't do this! Return the promise!
        res.text()
            .then(function (body) { // pyramid of doom starting
                console.log(`The length of the body ${body.length}`);
                console.log("Body contents:");
                console.log(body.slice(0, 100)); // look at the begining
            })
    });
